Package org.apache.sysds.runtime.codegen

## Class SpoofOuterProduct

- java.lang.Object
- - org.apache.sysds.runtime.codegen.SpoofOperator
  - - org.apache.sysds.runtime.codegen.SpoofOuterProduct

- All Implemented Interfaces:
    `Serializable`

      public abstract class SpoofOuterProduct
      extends SpoofOperator

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SpoofOuterProduct.OutProdType` |

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.codegen.SpoofOperator

      `SpoofOperator.SideInput, SpoofOperator.SideInputSparseCell, SpoofOperator.SideInputSparseRow`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpoofOuterProduct​(SpoofOuterProduct.OutProdType type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SpoofCUDAOperator` | `createCUDAInstrcution​(Integer opID, SpoofCUDAOperator.PrecisionProxy ep)` |
    `ScalarObject` | `execute​(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalarObjects)` |
    `ScalarObject` | `execute​(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalarObjects, int numThreads)` |
    `MatrixBlock` | `execute​(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalarObjects, MatrixBlock out)` |
    `MatrixBlock` | `execute​(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalarObjects, MatrixBlock out, int numThreads)` |
    `SpoofOuterProduct.OutProdType` | `getOuterProdType()` |
    `String` | `getSpoofType()` |
    `void` | `setOuterProdType​(SpoofOuterProduct.OutProdType type)` |

    - ### Methods inherited from class org.apache.sysds.runtime.codegen.SpoofOperator

      `getDenseMatrices, getNativeStagingBuffer, getTotalInputNnz, getTotalInputSize`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpoofOuterProduct

          public SpoofOuterProduct​(SpoofOuterProduct.OutProdType type)

  - ### Method Detail

    - #### setOuterProdType

          public void setOuterProdType​(SpoofOuterProduct.OutProdType type)

    - #### getOuterProdType

          public SpoofOuterProduct.OutProdType getOuterProdType()

    - #### createCUDAInstrcution

          public SpoofCUDAOperator createCUDAInstrcution​(Integer opID,
                                                         SpoofCUDAOperator.PrecisionProxy ep)

      Specified by:
        `createCUDAInstrcution` in class `SpoofOperator`

    - #### getSpoofType

          public String getSpoofType()

      Specified by:
        `getSpoofType` in class `SpoofOperator`

    - #### execute

          public ScalarObject execute​(ArrayList<MatrixBlock> inputs,
                                      ArrayList<ScalarObject> scalarObjects)

      Overrides:
        `execute` in class `SpoofOperator`

    - #### execute

          public ScalarObject execute​(ArrayList<MatrixBlock> inputs,
                                      ArrayList<ScalarObject> scalarObjects,
                                      int numThreads)

      Overrides:
        `execute` in class `SpoofOperator`

    - #### execute

          public MatrixBlock execute​(ArrayList<MatrixBlock> inputs,
                                     ArrayList<ScalarObject> scalarObjects,
                                     MatrixBlock out)

      Specified by:
        `execute` in class `SpoofOperator`

    - #### execute

          public MatrixBlock execute​(ArrayList<MatrixBlock> inputs,
                                     ArrayList<ScalarObject> scalarObjects,
                                     MatrixBlock out,
                                     int numThreads)

      Overrides:
        `execute` in class `SpoofOperator`